Subject: bug#42052: 28.0.50; tab-bar-mode should be frame-local

From: Juri Linkov <[email-masked]>
Date: Tue, 05 Jan 2021 20:36:28 +0200

tags 42052 fixed
close 42052 28.0.50
thanks

>>> I've attached another patch that makes the key bindings & xpm icons get
>>> loaded when tab-bar-show is 1 as well. It doesn't un-load the
>>> keybindings in the way that globalling toggling tab-bar-mode off, but I
>>> don't really see a sensible way of doing that frame-locally.
>>
>> I don't know if such thing as frame-local keybindings is currently possible.
>
> And then the discussion seemed to be concerned with that point, but
> skimming this thread, it doesn't look like the proposed patch was
> discussed.
>
> Juri, could you take a look at the patch and see whether it looks
> reasonable?

Sorry for the delay.  Now the patch is pushed to master, and report is closed.

Frame-local keybindings could be implemented in a separate feature request.